> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EPEX Day Ahead Prices

> Returns the EPEX Spot market prices from DayAheadAuction market (https://www.epexspot.com/en/market-data?data_mode=map&modality=Auction&sub_modality=DayAhead&product=60&delivery_date=2020-04-02&trading_date=2020-04-01).



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/prices/epex_day_ahead/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/prices/epex_day_ahead/:
    get:
      tags:
        - prices
      summary: Get EPEX Day Ahead Prices
      description: >-
        Returns the EPEX Spot market prices from DayAheadAuction market
        (https://www.epexspot.com/en/market-data?data_mode=map&modality=Auction&sub_modality=DayAhead&product=60&delivery_date=2020-04-02&trading_date=2020-04-01).
      operationId: get_epex_day_ahead_prices
      parameters:
        - in: query
          name: aggregation_type
          schema:
            type: string
            enum:
              - alltime
              - day
              - hour
              - month
              - raw
              - week
              - year
            default: raw
          description: >-
            Type of time periods to aggregate; raw returns the original
            resolution.
        - in: query
          name: from
          schema:
            type: string
            format: date-time
          description: Start time of the requested range, inclusive and in UTC.
          required: true
        - in: query
          name: to
          schema:
            type: string
            format: date-time
          description: End time of the requested range, exclusive and in UTC.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DayAheadAuctionPrice'
          description: A list of prices
        '400':
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
              examples:
                RequiredRangeBoundsMissing:
                  value:
                    from:
                      - This field is required.
                    to:
                      - This field is required.
                  summary: Both required range bounds are missing
                UnsupportedAggregationType:
                  value:
                    aggregation_type:
                      - '"xxxx" is not a valid choice.'
                  summary: Aggregation type is not one of the accepted choices
          description: ''
components:
  schemas:
    DayAheadAuctionPrice:
      type: object
      properties:
        price:
          type: number
          format: double
          nullable: true
        start_time:
          type: string
          format: date-time
        end_time:
          type: string
          format: date-time
      required:
        - end_time
        - price
        - start_time

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.